Last Comment Bug 795085 - linux external api builds fail (nsString.h include in gfx/src/nsRegion.h)
: linux external api builds fail (nsString.h include in gfx/src/nsRegion.h)
Status: RESOLVED FIXED
: regression
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: Thunderbird 19.0
Assigned To: Magnus Melin
:
:
Mentors:
Depends on:
Blocks: 777194
  Show dependency treegraph
 
Reported: 2012-09-27 13:06 PDT by Magnus Melin
Modified: 2012-10-11 12:33 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
proposed fix (712 bytes, patch)
2012-10-10 22:45 PDT, Magnus Melin
no flags Details | Diff | Splinter Review
proposed fix, v2 (1.93 KB, patch)
2012-10-11 10:48 PDT, Magnus Melin
neil: review+
Details | Diff | Splinter Review

Description Magnus Melin 2012-09-27 13:06:31 PDT
Looks like external API builds are broken again :(

../../../mozilla/dist/include/nsTPromiseFlatString.h: At global scope:
../../../mozilla/dist/include/nsTPromiseFlatString.h:69:24: error: ‘substring_type’ does not name a type
../../../mozilla/dist/include/nsTPromiseFlatString.h:69:38: error: ISO C++ forbids declaration of ‘parameter’ with no type [-fpermissive]
../../../mozilla/dist/include/nsTPromiseFlatString.h:80:41: error: ‘substring_type’ does not name a type
../../../mozilla/dist/include/nsTPromiseFlatString.h:80:57: error: ISO C++ forbids declaration of ‘str’ with no type [-fpermissive]
../../../mozilla/dist/include/nsTPromiseFlatString.h:87:41: error: ‘substring_tuple_type’ does not name a type
../../../mozilla/dist/include/nsTPromiseFlatString.h:87:63: error: ISO C++ forbids declaration of ‘tuple’ with no type [-fpermissive]
../../../mozilla/dist/include/nsTPromiseFlatString.h:87:7: error: ‘nsPromiseFlatCString::nsPromiseFlatCString(const int&)’ cannot be overloaded
../../../mozilla/dist/include/nsTPromiseFlatString.h:80:7: error: with ‘nsPromiseFlatCString::nsPromiseFlatCString(const int&)’
../../../mozilla/dist/include/nsTPromiseFlatString.h: In constructor ‘nsPromiseFlatCString::nsPromiseFlatCString(const int&)’:
../../../mozilla/dist/include/nsTPromiseFlatString.h:81:11: error: class ‘nsPromiseFlatCString’ does not have any field named ‘string_type’
../../../mozilla/dist/include/nsTPromiseFlatString.h: In constructor ‘nsPromiseFlatCString::nsPromiseFlatCString(const int&)’:
../../../mozilla/dist/include/nsTPromiseFlatString.h:88:11: error: class ‘nsPromiseFlatCString’ does not have any field named ‘string_type’
../../../mozilla/dist/include/nsTPromiseFlatString.h: In function ‘const nsPromiseFlatCString PromiseFlatCString(const nsACString&)’:
../../../mozilla/dist/include/nsTPromiseFlatString.h:99:58: error: ‘const nsPromiseFlatCString PromiseFlatCString(const nsACString&)’ redeclared as different kind of symbol
../../../mozilla/dist/include/nsStringAPI.h:1446:19: error: previous declaration of ‘typedef class nsCString_external PromiseFlatCString’
../../../mozilla/dist/include/nsTPromiseFlatString.h:101:43: error: no matching function for call to ‘nsPromiseFlatCString::nsPromiseFlatCString(const nsACString&)’
../../../mozilla/dist/include/nsTPromiseFlatString.h:101:43: note: candidates are:
../../../mozilla/dist/include/nsTPromiseFlatString.h:80:7: note: nsPromiseFlatCString::nsPromiseFlatCString(const int&)
../../../mozilla/dist/include/nsTPromiseFlatString.h:80:7: note:   no known conversion for argument 1 from ‘const nsACString’ to ‘const int&’
../../../mozilla/dist/include/nsTPromiseFlatString.h:75:7: note: nsPromiseFlatCString::nsPromiseFlatCString()
../../../mozilla/dist/include/nsTPromiseFlatString.h:75:7: note:   candidate expects 0 arguments, 1 provided
../../../mozilla/dist/include/nsTPromiseFlatString.h:61:7: note: nsPromiseFlatCString::nsPromiseFlatCString(const nsPromiseFlatCString&)
../../../mozilla/dist/include/nsTPromiseFlatString.h:61:7: note:   no known conversion for argument 1 from ‘const nsACString’ to ‘const nsPromiseFlatCString&’
../../../mozilla/dist/include/nsTPromiseFlatString.h: In function ‘const nsPromiseFlatCString PromiseFlatCString(const nsCSubstringTuple&)’:
../../../mozilla/dist/include/nsTPromiseFlatString.h:107:64: error: ‘const nsPromiseFlatCString PromiseFlatCString(const nsCSubstringTuple&)’ redeclared as different kind of symbol
../../../mozilla/dist/include/nsStringAPI.h:1446:19: error: previous declaration of ‘typedef class nsCString_external PromiseFlatCString’
../../../mozilla/dist/include/nsTPromiseFlatString.h:109:44: error: no matching function for call to ‘nsPromiseFlatCString::nsPromiseFlatCString(const nsCSubstringTuple&)’
../../../mozilla/dist/include/nsTPromiseFlatString.h:109:44: note: candidates are:
../../../mozilla/dist/include/nsTPromiseFlatString.h:80:7: note: nsPromiseFlatCString::nsPromiseFlatCString(const int&)
../../../mozilla/dist/include/nsTPromiseFlatString.h:80:7: note:   no known conversion for argument 1 from ‘const nsCSubstringTuple’ to ‘const int&’
../../../mozilla/dist/include/nsTPromiseFlatString.h:75:7: note: nsPromiseFlatCString::nsPromiseFlatCString()
../../../mozilla/dist/include/nsTPromiseFlatString.h:75:7: note:   candidate expects 0 arguments, 1 provided
../../../mozilla/dist/include/nsTPromiseFlatString.h:61:7: note: nsPromiseFlatCString::nsPromiseFlatCString(const nsPromiseFlatCString&)
../../../mozilla/dist/include/nsTPromiseFlatString.h:61:7: note:   no known conversion for argument 1 from ‘const nsCSubstringTuple’ to ‘const nsPromiseFlatCString&’
In file included from ../../../mozilla/dist/include/nsGUIEvent.h:12:0,
                 from ../../../mozilla/dist/include/nsIPresShell.h:37,
                 from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:19:
../../../mozilla/dist/include/nsRegion.h: At global scope:
../../../mozilla/dist/include/nsRegion.h:202:3: error: ‘nsCString_external’ does not name a type
../../../mozilla/dist/include/nsRegion.h:467:3: error: ‘nsCString_external’ does not name a type
In file included from ../../../mozilla/dist/include/nsGUIEvent.h:24:0,
                 from ../../../mozilla/dist/include/nsIPresShell.h:37,
                 from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:19:
../../../mozilla/dist/include/nsIWidget.h:283:3: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsIWidget.h:286:3: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsIWidget.h:289:3: error: ‘nsString_external’ does not name a type
In file included from ../../../mozilla/dist/include/nsStyleConsts.h:12:0,
                 from ../../../mozilla/dist/include/nsGUIEvent.h:29,
                 from ../../../mozilla/dist/include/nsIPresShell.h:37,
                 from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:19:
../../../mozilla/dist/include/nsFont.h:19:44: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsFont.h:19:54: error: ISO C++ forbids declaration of ‘aFamily’ with no type [-fpermissive]
../../../mozilla/dist/include/nsFont.h:40:3: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsFont.h:78:3: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsFont.h:84:16: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsFont.h:84:46: error: ISO C++ forbids declaration of ‘aLanguageOverride’ with no type [-fpermissive]
../../../mozilla/dist/include/nsFont.h:87:16: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsFont.h:87:26: error: ISO C++ forbids declaration of ‘aName’ with no type [-fpermissive]
../../../mozilla/dist/include/nsFont.h:90:16: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsFont.h:90:46: error: ISO C++ forbids declaration of ‘aLanguageOverride’ with no type [-fpermissive]
../../../mozilla/dist/include/nsFont.h:116:23: error: ‘nsString_external’ is not a type
../../../mozilla/dist/include/nsFont.h:119:34: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsFont.h:119:44: error: ISO C++ forbids declaration of ‘aGeneric’ with no type [-fpermissive]
In file included from ../../../mozilla/dist/include/nsIPresShell.h:37:0,
                 from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:19:
../../../mozilla/dist/include/nsGUIEvent.h:1094:3: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsGUIEvent.h:1126:3: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsGUIEvent.h:1365:5: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsGUIEvent.h: In member function ‘uint32_t nsQueryContentEvent::GetSelectionStart() const’:
../../../mozilla/dist/include/nsGUIEvent.h:1346:56: error: ‘const struct nsQueryContentEvent::<anonymous>’ has no member named ‘mString’
../../../mozilla/dist/include/nsGUIEvent.h: In member function ‘uint32_t nsQueryContentEvent::GetSelectionEnd() const’:
../../../mozilla/dist/include/nsGUIEvent.h:1353:60: error: ‘const struct nsQueryContentEvent::<anonymous>’ has no member named ‘mString’
../../../mozilla/dist/include/nsGUIEvent.h: At global scope:
../../../mozilla/dist/include/nsGUIEvent.h:1581:27: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsGUIEvent.h:1581:37: error: ISO C++ forbids declaration of ‘propertyNameArg’ with no type [-fpermissive]
../../../mozilla/dist/include/nsGUIEvent.h:1587:3: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsGUIEvent.h: In constructor ‘nsTransitionEvent::nsTransitionEvent(bool, uint32_t, const int&, float)’:
../../../mozilla/dist/include/nsGUIEvent.h:1583:7: error: class ‘nsTransitionEvent’ does not have any field named ‘propertyName’
../../../mozilla/dist/include/nsGUIEvent.h: At global scope:
../../../mozilla/dist/include/nsGUIEvent.h:1595:26: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsGUIEvent.h:1595:36: error: ISO C++ forbids declaration of ‘animationNameArg’ with no type [-fpermissive]
../../../mozilla/dist/include/nsGUIEvent.h:1601:3: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsGUIEvent.h: In constructor ‘nsAnimationEvent::nsAnimationEvent(bool, uint32_t, const int&, float)’:
../../../mozilla/dist/include/nsGUIEvent.h:1597:7: error: class ‘nsAnimationEvent’ does not have any field named ‘animationName’
In file included from ../../../mozilla/dist/include/nsINode.h:13:0,
                 from ../../../mozilla/dist/include/nsIDocument.h:20,
                 from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:20:
../../../mozilla/dist/include/nsINodeInfo.h: At global scope:
../../../mozilla/dist/include/nsINodeInfo.h:86:9: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsINodeInfo.h:93:9: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsINodeInfo.h:100:9: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsINodeInfo.h:342:3: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsINodeInfo.h:345:3: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsINodeInfo.h:349:3: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsINodeInfo.h: In member function ‘bool nsINodeInfo::QualifiedNameEquals(nsIAtom*) const’:
../../../mozilla/dist/include/nsINodeInfo.h:266:30: error: ‘mQualifiedName’ was not declared in this scope
../../../mozilla/dist/include/nsINodeInfo.h: In member function ‘bool nsINodeInfo::QualifiedNameEquals(const nsAString&) const’:
../../../mozilla/dist/include/nsINodeInfo.h:271:12: error: ‘mQualifiedName’ was not declared in this scope
In file included from ../../../mozilla/dist/include/nsIDocument.h:20:0,
                 from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:20:
../../../mozilla/dist/include/nsINode.h: At global scope:
../../../mozilla/dist/include/nsINode.h:466:9: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsINode.h:470:9: error: ‘nsString_external’ does not name a type
In file included from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:20:0:
../../../mozilla/dist/include/nsIDocument.h:238:28: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsIDocument.h:238:38: error: ISO C++ forbids declaration of ‘aBaseTarget’ with no type [-fpermissive]
../../../mozilla/dist/include/nsIDocument.h:245:9: error: ‘nsCString_external’ does not name a type
In file included from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:20:0:
../../../mozilla/dist/include/nsIDocument.h:1760:3: error: ‘nsCString_external’ does not name a type
../../../mozilla/dist/include/nsIDocument.h:1773:3: error: ‘nsCString_external’ does not name a type
../../../mozilla/dist/include/nsIDocument.h:1913:3: error: ‘nsCString_external’ does not name a type
../../../mozilla/dist/include/nsIDocument.h:1915:3: error: ‘nsCString_external’ does not name a type
../../../mozilla/dist/include/nsIDocument.h:1989:3: error: ‘nsString_external’ does not name a type
In file included from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:20:0:
../../../mozilla/dist/include/nsIDocument.h: In member function ‘void nsIDocument::SetBaseTarget(const int&)’:
../../../mozilla/dist/include/nsIDocument.h:239:5: error: ‘mBaseTarget’ was not declared in this scope
../../../mozilla/dist/include/nsIDocument.h: In member function ‘void nsIDocument::GetContentLanguage(nsAString&) const’:
../../../mozilla/dist/include/nsIDocument.h:326:22: error: ‘mContentLanguage’ was not declared in this scope
In file included from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:20:0:
../../../mozilla/dist/include/nsIDocument.h: In member function ‘void nsIDocument::SetContentTypeInternal(const nsACString&)’:
../../../mozilla/dist/include/nsIDocument.h:1757:5: error: ‘mContentType’ was not declared in this scope
In file included from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:22:0:
../../../mozilla/dist/include/nsMsgUtils.h: At global scope:
../../../mozilla/dist/include/nsMsgUtils.h:41:73: error: ‘nsCString_external’ is not a type
../../../mozilla/dist/include/nsMsgUtils.h:77:37: error: ‘nsCString_external’ is not a type
../../../mozilla/dist/include/nsMsgUtils.h:78:43: error: ‘nsCString_external’ does not name a type
../../../mozilla/dist/include/nsMsgUtils.h:78:54: error: ISO C++ forbids declaration of ‘aScheme’ with no type [-fpermissive]
../../../mozilla/dist/include/nsMsgUtils.h:104:48: error: ‘nsCString_external’ is not a type
../../../mozilla/dist/include/nsMsgUtils.h:112:46: error: ‘nsCString_external’ does not name a type
../../../mozilla/dist/include/nsMsgUtils.h:112:57: error: ISO C++ forbids declaration of ‘aFolderURI’ with no type [-fpermissive]
In file included from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:22:0:
../../../mozilla/dist/include/nsMsgUtils.h:190:39: error: ‘nsCString_external’ does not name a type
../../../mozilla/dist/include/nsMsgUtils.h:190:50: error: ISO C++ forbids declaration of ‘keyword’ with no type [-fpermissive]
../../../mozilla/dist/include/nsMsgUtils.h:190:59: error: ‘nsCString_external’ is not a type
../../../mozilla/dist/include/nsMsgUtils.h:192:52: error: ‘host’ was not declared in this scope
../../../mozilla/dist/include/nsMsgUtils.h:192:69: error: ‘trustedMailDomains’ was not declared in this scope
../../../mozilla/dist/include/nsMsgUtils.h:192:87: error: expression list treated as compound expression in initializer [-fpermissive]
../../../mozilla/dist/include/nsMsgUtils.h:225:44: error: ‘nsCString_external’ does not name a type
../../../mozilla/dist/include/nsMsgUtils.h:225:55: error: ISO C++ forbids declaration of ‘aString’ with no type [-fpermissive]
../../../mozilla/dist/include/nsMsgUtils.h:227:44: error: ‘nsString_external’ does not name a type
../../../mozilla/dist/include/nsMsgUtils.h:227:54: error: ISO C++ forbids declaration of ‘aString’ with no type [-fpermissive]
../../../mozilla/dist/include/nsMsgUtils.h:228:78: error: default argument given for parameter 3 of ‘int32_t MsgFindCharInSet(const int&, const char*, uint32_t)’ [-fpermissive]
../../../mozilla/dist/include/nsMsgUtils.h:225:21: error: after previous specification in ‘int32_t MsgFindCharInSet(const int&, const char*, uint32_t)’ [-fpermissive]
../../../mozilla/dist/include/nsMsgUtils.h:250:49: error: ‘nsCString_external’ does not name a type
../../../mozilla/dist/include/nsMsgUtils.h:250:60: error: ISO C++ forbids declaration of ‘aHostname’ with no type [-fpermissive]
../../../mozilla/dist/include/nsMsgUtils.h:266:71: error: ‘nsCString_external’ is not a type
../../../mozilla/dist/include/nsMsgUtils.h:296:54: error: ‘aConBuf’ was not declared in this scope
../../../mozilla/dist/include/nsMsgUtils.h:296:63: error: expected primary-expression before ‘bool’
../../../mozilla/dist/include/nsMsgUtils.h:296:82: error: expected primary-expression before ‘bool’
../../../mozilla/dist/include/nsMsgUtils.h:296:99: error: expression list treated as compound expression in initializer [-fpermissive]
../../../mozilla/dist/include/nsMsgUtils.h:433:40: error: variable or field ‘MsgCompressWhitespace’ declared void
../../../mozilla/dist/include/nsMsgUtils.h:433:51: error: ‘aString’ was not declared in this scope
../../../mozilla/dist/include/nsMsgUtils.h:453:33: error: variable or field ‘MsgReplaceChar’ declared void
../../../mozilla/dist/include/nsMsgUtils.h:453:43: error: ‘str’ was not declared in this scope
../../../mozilla/dist/include/nsMsgUtils.h:453:48: error: expected primary-expression before ‘const’
../../../mozilla/dist/include/nsMsgUtils.h:453:65: error: expected primary-expression before ‘const’
../../../mozilla/dist/include/nsMsgUtils.h:454:33: error: variable or field ‘MsgReplaceChar’ declared void
../../../mozilla/dist/include/nsMsgUtils.h:454:44: error: ‘str’ was not declared in this scope
../../../mozilla/dist/include/nsMsgUtils.h:454:49: error: expected primary-expression before ‘const’
../../../mozilla/dist/include/nsMsgUtils.h:454:68: error: expected primary-expression before ‘const’
In file included from /opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:26:0:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.h:59:50: error: ‘nsString_external’ does not name a type
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.h:59:60: error: ISO C++ forbids declaration of ‘uri’ with no type [-fpermissive]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.h:60:43: error: ‘nsString_external’ does not name a type
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.h:60:53: error: ISO C++ forbids declaration of ‘uri’ with no type [-fpermissive]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.h:63:38: error: ‘nsString_external’ does not name a type
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.h:63:48: error: ISO C++ forbids declaration of ‘aMsgString’ with no type [-fpermissive]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.h:64:48: error: ‘nsString_external’ is not a type
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.h:71:20: error: type/value mismatch at argument 1 in template parameter list for ‘template<class E, class Alloc> class nsTArray’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.h:71:20: error:   expected a type, got ‘nsString_external’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.h:90:3: error: ‘nsString_external’ does not name a type
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: In member function ‘virtual nsresult nsMsgPrintEngine::OnStateChange(nsIWebProgress*, nsIRequest*, uint32_t, nsresult)’:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:86:16: error: expected ‘;’ before ‘msg’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:86:19: warning: statement is a reference, not call, to function ‘nsString_external’ [-Waddress]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:86:19: warning: statement has no effect [-Wunused-value]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:87:67: error: ‘msg’ was not declared in this scope
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:129:20: error: expected ‘;’ before ‘msg’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:129:23: warning: statement is a reference, not call, to function ‘nsString_external’ [-Waddress]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:129:23: warning: statement has no effect [-Wunused-value]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:130:63: error: ‘msg’ was not declared in this scope
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: In member function ‘virtual nsresult nsMsgPrintEngine::AddPrintURI(const PRUnichar*)’:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:306:13: error: request for member ‘AppendElement’ in ‘((nsMsgPrintEngine*)this)->nsMsgPrintEngine::mURIArray’, which is of non-class type ‘int’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: In member function ‘nsresult nsMsgPrintEngine::ShowProgressDialog(bool, bool&)’:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:388:20: error: expected ‘;’ before ‘msg’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:388:23: warning: statement is a reference, not call, to function ‘nsString_external’ [-Waddress]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:388:23: warning: statement has no effect [-Wunused-value]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:390:81: error: ‘msg’ was not declared in this scope
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:392:74: error: ‘msg’ was not declared in this scope
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:394:16: error: ‘msg’ was not declared in this scope
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: In member function ‘virtual nsresult nsMsgPrintEngine::StartNextPrintOperation()’:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:416:51: error: request for member ‘Length’ in ‘((nsMsgPrintEngine*)this)->nsMsgPrintEngine::mURIArray’, which is of non-class type ‘int’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:422:14: error: expected ‘;’ before ‘msg’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:422:17: warning: statement is a reference, not call, to function ‘nsString_external’ [-Waddress]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:422:17: warning: statement has no effect [-Wunused-value]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:423:60: error: ‘msg’ was not declared in this scope
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:431:9: error: ‘nsString_external’ does not name a type
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:432:37: error: ‘uri’ was not declared in this scope
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: At global scope:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:450:54: error: ‘nsString_external’ does not name a type
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:450:64: error: ISO C++ forbids declaration of ‘uri’ with no type [-fpermissive]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: In member function ‘nsresult nsMsgPrintEngine::FireThatLoadOperationStartup(const int&)’:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:452:12: error: request for member ‘IsEmpty’ in ‘uri’, which is of non-class type ‘const int’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:453:5: error: ‘mLoadURI’ was not declared in this scope
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:455:5: error: ‘mLoadURI’ was not declared in this scope
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:461:51: error: request for member ‘Length’ in ‘((nsMsgPrintEngine*)this)->nsMsgPrintEngine::mURIArray’, which is of non-class type ‘int’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: At global scope:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:469:47: error: ‘nsString_external’ does not name a type
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:469:57: error: ISO C++ forbids declaration of ‘uri’ with no type [-fpermissive]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: In member function ‘nsresult nsMsgPrintEngine::FireThatLoadOperation(const int&)’:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:473:13: error: expected ‘;’ before ‘uriCStr’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:473:20: warning: statement is a reference, not call, to function ‘nsCString_external’ [-Waddress]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:473:20: warning: statement has no effect [-Wunused-value]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:474:30: error: ‘uriCStr’ was not declared in this scope
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:505:32: error: request for member ‘get’ in ‘uri’, which is of non-class type ‘const int’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: At global scope:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:557:42: error: ‘nsString_external’ does not name a type
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:557:52: error: ISO C++ forbids declaration of ‘aMsgString’ with no type [-fpermissive]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: In member function ‘nsresult nsMsgPrintEngine::SetStatusMessage(const int&)’:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:559:36: error: request for member ‘IsEmpty’ in ‘aMsgString’, which is of non-class type ‘const int’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:562:41: error: no matching function for call to ‘nsIMsgStatusFeedback::ShowStatusString(const int&)’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:562:41: note: candidate is:
../../../mozilla/dist/include/nsIMsgStatusFeedback.h:31:14: note: virtual nsresult nsIMsgStatusFeedback::ShowStatusString(const nsAString&)
../../../mozilla/dist/include/nsIMsgStatusFeedback.h:31:14: note:   no known conversion for argument 1 from ‘const int’ to ‘const nsAString&’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: At global scope:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:569:59: error: ‘nsString_external’ is not a type
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: In member function ‘void nsMsgPrintEngine::GetString(const PRUnichar*, int&)’:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:571:10: error: request for member ‘Truncate’ in ‘outStr’, which is of non-class type ‘int’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:584:71: error: no matching function for call to ‘getter_Copies(int&)’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:584:71: note: candidates are:
../../../mozilla/dist/include/nsStringAPI.h:1165:1: note: nsGetterCopies_external getter_Copies(nsString_external&)
../../../mozilla/dist/include/nsStringAPI.h:1165:1: note:   no known conversion for argument 1 from ‘int’ to ‘nsString_external&’
../../../mozilla/dist/include/nsStringAPI.h:1195:1: note: nsCGetterCopies_external getter_Copies(nsCString_external&)
../../../mozilla/dist/include/nsStringAPI.h:1195:1: note:   no known conversion for argument 1 from ‘int’ to ‘nsCString_external&’
../../../mozilla/dist/include/nsTString.h:623:1: note: nsGetterCopies_external getter_Copies(nsAString&)
../../../mozilla/dist/include/nsTString.h:623:1: note:   no known conversion for argument 1 from ‘int’ to ‘nsAString&’
../../../mozilla/dist/include/nsTString.h:623:1: note: nsCGetterCopies_external getter_Copies(nsACString&)
../../../mozilla/dist/include/nsTString.h:623:1: note:   no known conversion for argument 1 from ‘int’ to ‘nsACString&’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: In member function ‘void nsMsgPrintEngine::PrintMsgWindow()’:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:656:18: error: expected ‘;’ before ‘msg’
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:656:21: warning: statement is a reference, not call, to function ‘nsString_external’ [-Waddress]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:656:21: warning: statement has no effect [-Wunused-value]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:657:68: error: ‘msg’ was not declared in this scope
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: In member function ‘virtual nsresult nsMsgPrintEngine::Observe(nsISupports*, const char*, const PRUnichar*)’:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:756:32: error: ‘mLoadURI’ was not declared in this scope
../../../mozilla/dist/include/nsINode.h: At global scope:
../../../mozilla/dist/include/nsINode.h:57:13: warning: inline function ‘void SetDOMStringToNull(nsAString&)’ used but never defined [enabled by default]
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp: In member function ‘virtual nsresult nsMsgPrintEngine::Observe(nsISupports*, const char*, const PRUnichar*)’:
/opt/comm-central/src/mailnews/base/src/nsMsgPrintEngine.cpp:757:1: error: control reaches end of non-void function [-Werror=return-type]
cc1plus: some warnings being treated as errors
make[6]: *** [nsMsgPrintEngine.o] Error 1
make[6]: Leaving directory `/opt/moz-objdir/mail/mailnews/base/src'
make[5]: *** [src_libs] Error 2
make[5]: Leaving directory `/opt/moz-objdir/mail/mailnews/base'
make[4]: *** [libs_tier_app] Error 2
make[4]: Leaving directory `/opt/moz-objdir/mail'
make[3]: *** [tier_app] Error 2
make[3]: Leaving directory `/opt/moz-objdir/mail'
make[2]: *** [default] Error 2
make[2]: Leaving directory `/opt/moz-objdir/mail'
make[1]: *** [build] Error 2
make[1]: Leaving directory `/opt/comm-central/src'
make: *** [build] Error 2
Comment 1 Magnus Melin 2012-10-09 11:34:14 PDT
Still broken.
Comment 2 neil@parkwaycc.co.uk 2012-10-09 16:45:44 PDT
Is that the whole log? Normally there's an earlier #include "nsString.h" error.
Comment 3 Magnus Melin 2012-10-09 23:00:35 PDT
It's longer, but that's all the console let me scroll back to. Guess i should use a build log file...
Comment 4 Magnus Melin 2012-10-10 22:45:33 PDT
Created attachment 670253 [details] [diff] [review]
proposed fix
Comment 5 neil@parkwaycc.co.uk 2012-10-11 00:41:19 PDT
Actually we can work around this by removing the #include of nsIPresShell.h from nsMsgPrintEngine.cpp as it doesn't seem to need it.
Comment 6 Magnus Melin 2012-10-11 02:53:00 PDT
Is that instead or in addition to this patch?
Comment 7 neil@parkwaycc.co.uk 2012-10-11 09:49:52 PDT
Instead of, for now, at least.
Comment 8 Magnus Melin 2012-10-11 10:48:46 PDT
Created attachment 670449 [details] [diff] [review]
proposed fix, v2

Remove unneeded imports from nsMsgPrintEngine.cpp
Comment 9 neil@parkwaycc.co.uk 2012-10-11 12:05:36 PDT
Comment on attachment 670449 [details] [diff] [review]
proposed fix, v2

These includes fall into three categories:
1. Unused, marked Kill in the notes.
2. Included via nsMsgPrintEngine.h, marked Don't care in the notes.
3. Included accidentally via some other include. You should keep those because it's possible that the other include will stop including it. These are marked Keep in the notes. r=me with those fixed.

>-#include "nsIURI.h"
Keep.

>-#include "nsIDocShell.h"
Don't care.

>-#include "nsIPresShell.h"
>-#include "nsIDocument.h"
Kill.

>-#include "nsMsgBaseCID.h"
Kill.

>-#include "nsIWidget.h"
>-#include "nsIXULWindow.h"
Kill.

>-#include "nsIPrefBranch.h"
Keep.

>-#include "nsAutoPtr.h"
Keep.

>-#include "nsIDocShellTreeNode.h"
Keep.

>-#include "nsIPrintingPromptService.h"
Don't care.

>-#include "nsServiceManagerUtils.h"
Keep.

Note You need to log in before you can comment on or make changes to this bug.